{% extends "base.html" %} 

{% block title %} 
    Notes List
{% endblock %}

{% block content %}
    <!-- Table to store Notes information -->
    <table>
        <tr>
            <th>Destination</th>
            <th>Origin</th>
            <th>Title</th>
            <th>Message</th>
        </tr>
    
        <!-- Loop through all Note objects and display them on the table -->
        {% for note in notes %} 
            <tr>
                <td>{{note.dest}}</td>
                <td>{{note.origin}}</td>
                <td>{{note.title}}</td>
                <td>{{note.message}}</td>
            </tr>
        {% endfor %}
    </table>    
{% endblock %}